/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。 
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。  
日本電信電話株式会社により創作された部分は、Copyright (C) 2004 
日本電信電話株式会社 です。
全ての権利が留保されます。 
「コントリビュータ」：_____________________________________ 


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND 
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION 
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION. 
All Rights Reserved.

Contributor(s) ______________________________________.
*/
package jp.co.ntt.lms.installer.lms;

import java.util.Properties;

import jp.co.ntt.lms.installer.core.InstallerActionValue;


/**
 * データベースの初期化についてユーザに入力確認した結果を保持するクラス。<br>
 * @author T.Nishiki
 */
public class ConfirmDbInitializeValue implements InstallerActionValue {

	/**
	 * データベースの初期化の確認を保持します。
	 * 初期化に同意ならばtrue。
	 */
	private boolean _confirmInitialize;

	/**
	 * データベース管理者ユーザ名称。
	 */
	private String _dbaUser;

	/**
	 * データベース管理者ユーザ・パスワード。
	 */
	private String _dbaPassword;

	/**
	 * データベース独自プロパティ。
	 */
	private Properties _extendProperties;

	/**
	 * コンストラクタ。
	 */
	public ConfirmDbInitializeValue() {
		_extendProperties = new Properties();
	}

	/**
	 * データベースの初期化の確認済みかを戻します。
	 * @return 初期化に同意ならばtrueを戻します。
	 */
	public boolean isConfirmInitialize() {
		return _confirmInitialize;
	}

	/**
	 * データベースの初期化の確認を設定します。
	 * @param confirmInitialize 初期化に同意ならばtrue。
	 */
	public void setConfirmInitialize(boolean confirmInitialize) {
		_confirmInitialize = confirmInitialize;
	}

	/**
	 * データベース管理者ユーザ・パスワードを取得します。
	 * @return データベース管理者ユーザ・パスワード。
	 */
	public String getDbaPassword() {
		return _dbaPassword;
	}

	/**
	 * データベース管理者ユーザ名称を取得します。
	 * @return データベース管理者ユーザ名称。
	 */
	public String getDbaUser() {
		return _dbaUser;
	}

	/**
	 * データベース管理者ユーザ・パスワードを設定します。
	 * @param dbaPassword 設定するデータベース管理者ユーザ・パスワード。
	 */
	public void setDbaPassword(String dbaPassword) {
		_dbaPassword = dbaPassword;
	}

	/**
	 * データベース管理者ユーザ名称を設定します。
	 * @param dbaUser 設定するデータベース管理者ユーザ名称。
	 */
	public void setDbaUser(String dbaUser) {
		_dbaUser = dbaUser;
	}

	/**
	 * 各データベース独自のプロパティを設定します。<br>
	 * @param properties 取得するプロパティ。
	 */
	public void setExtendProperties(Properties properties) {
		if (properties == null) {
			_extendProperties = new Properties();
		}
		else {
			_extendProperties = properties;
		}
	}

	/**
	 * 各データベース独自のプロパティを取得します。<br>
	 * @return 独自プロパティを戻します。
	 */
	public Properties getExtendProperties() {
		return _extendProperties;
	}

	/**
	 * このクラスオブジェクトの文字列化します。<br>
	 * @return このクラスオブジェクトの文字列表現。
	 */
	public String toString() {
		StringBuffer buffer = new StringBuffer();
		buffer.append("_confirmInitialize=" + _confirmInitialize);
		buffer.append(",_dbaUser=" + _dbaUser);
		buffer.append(",_dbaPassword=" + _dbaPassword);
		buffer.append(",_extendProperties=" + _extendProperties);
		return buffer.toString();
	}
}
